Skip to content

List collections

GET
/api/v1/commerce/collections
curl --request GET \
--url https://digize.com/api/v1/commerce/collections \
--header 'x-api-key: <x-api-key>'

Collections with the products in each: picked by hand, or matched by rules now.

Needs the commerce:read permission.

Done

Media typeapplication/json
object
rows
required
Array<object>
object
id
required
string
title
required
string
handle
required
string
description
required
string
kind
required
string
Allowed values: manual automated
match
required
string
Allowed values: all any
rules
required
Array<object>
object
field
required
string
Allowed values: category tag vendor price stock
operator
required
string
Allowed values: is is_not contains greater_than less_than
value
required

Text, or for price and stock a number: price in minor units.

string
<= 120 characters
productIds
required
Array<string>
sort
required
string
Allowed values: best_selling title price_asc price_desc newest manual
published
required
boolean
color
required
string
Allowed values: primary accent secondary success warning info destructive
image
required
Any of:
object
imageId
required
string
url
required
string
updatedAt
required
string format: date-time
total
required
number

Example

{
"rows": [
{
"kind": "manual",
"match": "all",
"rules": [
{
"field": "category",
"operator": "is"
}
],
"sort": "best_selling",
"color": "primary"
}
]
}

What was sent isn’t valid (invalid).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

No key, or one that’s unknown, off or expired.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

The key doesn’t have the permission this needs.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

Nothing has that id (not_found).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

Over the rate limit; see retry-after.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}